Qt 5.9 | Qt 3D | C++ Classes | QCullFace

Qt 5.9.3 Reference Documentation

# QCullFace Class

(Qt3DRender::QCullFace)

The QCullFace class specifies whether front or back face culling are enabled More...

Header: | #include <QCullFace>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | CullFace
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Public Types

enum | CullingMode { NoCulling, Front, Back, FrontAndBack }

## Properties

- mode : CullingMode

- 3 properties inherited from Qt3DCore::QNode
- 1 property inherited from QObject

## Public Functions

| QCullFace(Qt3DCore::QNode *parent = nullptr)
CullingMode | mode() const

- 11 public functions inherited from Qt3DCore::QNode
- 32 public functions inherited from QObject

## Public Slots

void | setMode(CullingMode mode)

- 3 public slots inherited from Qt3DCore::QNode
- 1 public slot inherited from QObject

## Signals

void | modeChanged(CullingMode mode)

- 4 signals inherited from Qt3DCore::QNode
- 2 signals inherited from QObject

### Additional Inherited Members

- 1 public variable inherited from QObject
- 10 static public members inherited from QObject
- 2 protected functions inherited from Qt3DCore::QNode
- 9 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QCullFace class specifies whether front or back face culling are enabled

QCullFace sets whether the front or back facets are culled. Facets include triangles, quadrilaterals, polygons and rectangles.

See also QFrontFace.

## Member Type Documentation

### enum QCullFace::CullingMode

This enumeration specifies values for the culling mode.

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QCullFace::NoCulling` | `0x0` | culling is disabled
`Qt3DRender::QCullFace::Front` | `0x0404` | Culling is enabled for front facing polygons
`Qt3DRender::QCullFace::Back` | `0x0405` | Culling is enabled for back facing polygons
`Qt3DRender::QCullFace::FrontAndBack` | `0x0408` | Culling is enabled for all polygons, points and lines are drawn.

## Property Documentation

### mode : CullingMode

Holds the culling mode used by QCullFace. Default is set to QCullFace.Back.

Access functions:

CullingMode | mode() const
void | setMode(CullingMode mode)

Notifier signal:

void | modeChanged(CullingMode mode)

## Member Function Documentation

### QCullFace::QCullFace(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QCullFace.